# Type Alias WebPushSubscription

type WebPushSubscription = {
endpoint: string;
keys: { auth: string; p256dh: string };
type: "web-push";
}

- Defined in packages/saltcorn-data/models/internal/push_message_helper.ts:10

##### Index

### Properties

endpoint
keys
type

## Properties

### endpoint

endpoint: string

- Defined in packages/saltcorn-data/models/internal/push_message_helper.ts:12

### keys

keys: { auth: string; p256dh: string }

- Defined in packages/saltcorn-data/models/internal/push_message_helper.ts:13

### type

type: "web-push"

- Defined in packages/saltcorn-data/models/internal/push_message_helper.ts:11